#
# spec file for package hotspot
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hotspot
Version:        1.3.0
Release:        bp155.3.11
Summary:        Perf GUI for performance analysis
License:        GPL-2.0-or-later
Group:          Development/Tools/Debuggers
URL:            https://github.com/KDAB/hotspot
Source:         https://github.com/KDAB/hotspot/releases/download/v%{version}/hotspot-v%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         0001-CMake-Don-t-assume-KDE_INSTALL_-variables-are-relati.patch
BuildRequires:  glibc-devel-static
BuildRequires:  libdw-devel
BuildRequires:  libelf-devel
BuildRequires:  libzstd-devel
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
Requires:       perf

%description
Hotspot is a standalone GUI for performance data with an UI like KCachegrind
around Linux perf.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5 -d build

%install
%kf5_makeinstall -C build

%files
%license LICENSE.GPL.txt
%doc README.md
%{_kf5_bindir}/hotspot
%if %{pkg_vcmp kf5-filesystem >= 20220307}
%{_libexecdir}/hotspot-perfparser
%{_libexecdir}/elevate_perf_privileges.sh
%else
%{_kf5_libdir}/libexec/hotspot-perfparser
%{_kf5_libdir}/libexec/elevate_perf_privileges.sh
%endif
%{_kf5_iconsdir}/hicolor/*/*/hotspot.png

%changelog
* Thu May 12 2022 Lubos Lunak <l.lunak@centrum.cz>
- Enable zstd support.
* Sun Mar 20 2022 Christophe Giboudeaux <christophe@krop.fr>
- Spec cleanup.
- Use %%_libexec where needed.
- Add patch:
  * 0001-CMake-Don-t-assume-KDE_INSTALL_-variables-are-relati.patch
* Thu Sep  3 2020 Markus Ebner <info@ebner-markus.de>
- Update to 1.3.0
  * Unable to widen "Symbol" column in Top Down view
  * Feature Request: Support gksu for "Profile System" in AppImage
  * better formatting of times and trace costs in flamegraph and tooltips
  * fix time formatting
  * Loading a trace is much slower in 1.2 than in 1.1
  * Perfparser exits with code 1 (TCP Socket error) when opening a perf.data file
  * feature: open editor on function
  * group threads by process
  * android simpleperf support
  * Timeline part takes too much space
  * Profile system is broken
  * README required dependencies (QT5) out of date with master branch cmake
  * proper rust symbol demangling
  * enable rust demangling for appimages
  * Perfparser/Hotspot cannot unwind the stack for fork() of created processes
  * feature: auto-expand bottom-up tree
* Fri Jul 26 2019 Markus Ebner <info@ebner-markus.de>
- Update to 1.2.0
  * Adds quite a few bug fixes
  * Performance improvements
  * Addition of a per-CPU core event timeline
  * Events can now be filtered by symbols
  * Hotspot can now be used to analyze off-CPU time
* Wed Jul 18 2018 alarrosa@suse.com
- Initial version of hotspot 1.1.0
